Rem
Rem * start failover from vstwlt003 to vstwlt006 *
Rem
Rem - if we run on vstwlt006
Rem - deploy archive job: ha_nas_nis_bridge_yes to dxprodha
Rem - deploy archive job: ha_wasp_cabi_failover to dxcabi
Rem - deploy archive job: ha_wasp_oc_failover to dxump
Rem

Rem -- step 0 - ONLY execute this script if we START a failover (go to dxprodha)
if /I not %computername%==vstwlt006 goto fin 
echo this is %computername% (ok to put OC and Cabi to vstwlt006)

Rem -- step 1 - nimalarm
c:\Nimsoft\bin\nimalarm -l 2 "HA - Start configuring OC/CABI to point to failover hub VSTWLT006"

Rem -- step 2 - start oc update on vstwlt005
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/distsrv job_add "" "" "ha_wasp_oc_failover" "" "/vstwlt003_domain/vstwlt006_hub/vstwlt005" "" ""

Rem -- step 3 - start cabi update on dxcabi
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/distsrv job_add "" "" "ha_wasp_cabi_failover" "" "/vstwlt003_domain/vstwlt006_hub/vstwlt004" "" ""

Rem -- step 4 - set nis_bridge to yes on dxprodha
c:\Nimsoft\bin\pu.exe -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/distsrv job_add "" "" "ha_nas_nis_bridge_yes" "" "/vstwlt003_domain/vstwlt006_hub/vstwlt006" "" ""

Rem -- step 5 - add here a restart of the nas
c:\Nimsoft\bin\pu -u administrator -p xxx /vstwlt003_domain/vstwlt006_hub/vstwlt006/controller probe_activate nas

Rem -- step 6 - wait some seconds to be sure that end alarm comes after start alarm
c:\tools\sleep 45

Rem -- step 7 -- nimalarm
c:\Nimsoft\bin\nimalarm -l 1 "HA - Ended configuring OC/CABI to point to failover hub VSTWLT006...restarting OC/Cabi"

Rem -- label to be used if this script is started on other server(s)
:fin